#include<iostream>
using namespace std;

int n ;
int h[2000001] ;

void S( )
    {
    cin >> n ;
    for ( int i = 1 ; i <= n ; i++ )
        cin >> h[i] ;
    }

void E( )
    {
    long long ans = 0 ;
    for ( int i = 1 ; i < n ; i++ )
        {
        int j = i + 1 ;
        int mh = h[i] ;
        while ( h[i] >= h[j] && j <= n )
            {
            ans++ ;
            j++ ;
            }
        if ( j == n ) continue ;
        for ( ; j <= n ; j++ )
            {
            if ( h[j] > mh ) { mh = h[j] ; ans++ ; }
            }
        }
    cout << ans << endl ;
    }

int main()
{
    S( ) ;

    E( ) ;
    return 0 ;
}
